SDL-0.6.7.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Rect

Description

# Documentation

data Rect Source #

Constructors

Rect |

Fields

- rectX, rectY :: Int
- rectW, rectH :: Int

#### Instances

Instances details

Eq Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods (==) :: Rect -> Rect -> Bool (/=) :: Rect -> Rect -> Bool
Ord Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods compare :: Rect -> Rect -> Ordering (<) :: Rect -> Rect -> Bool (<=) :: Rect -> Rect -> Bool (>) :: Rect -> Rect -> Bool (>=) :: Rect -> Rect -> Bool max :: Rect -> Rect -> Rect min :: Rect -> Rect -> Rect
Show Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods showsPrec :: Int -> Rect -> ShowS show :: Rect -> String showList :: [Rect] -> ShowS
Storable Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods sizeOf :: Rect -> Int alignment :: Rect -> Int peekElemOff :: Ptr Rect -> Int -> IO Rect pokeElemOff :: Ptr Rect -> Int -> Rect -> IO () peekByteOff :: Ptr b -> Int -> IO Rect pokeByteOff :: Ptr b -> Int -> Rect -> IO () peek :: Ptr Rect -> IO Rect poke :: Ptr Rect -> Rect -> IO ()